------------------------------------------------------------------------------------
--Name:  	wanmeibianshen
--Creator:	由剧情表现脚本编辑器生成
--Created:	2023-06-06
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(156, 124)
CppScriptMgr:SetViewScale(200)
local Player_1 = CppScriptMgr:AddSimplePlayer(29250, 162, 126, "", 0, 0)
local Player_2 = CppScriptMgr:AddSimplePlayer(32610, 162, 122, "", 0, 0)
Player_2:SetDir(0)
local Player_3 = CppScriptMgr:AddSimplePlayer(32610, 168, 126, "", 0, 0)
Player_3:SetDir(1)
local Player_4 = CppScriptMgr:AddSimplePlayer(32610, 162, 130, "", 0, 0)
Player_4:SetDir(5)
local Player_5 = CppScriptMgr:AddSimplePlayer(32610, 158, 126, "", 0, 0)
Player_5:SetDir(6)
local Player_6 = CppScriptMgr:AddSimplePlayer(32610, 168, 130, "", 0, 0)
Player_6:SetDir(3)
local Player_7 = CppScriptMgr:AddSimplePlayer(1051646, 145, 126, "Theuses", 0, 0)
Player_7:WalkTo(155, 126)
Player_7:SetDir(6)
Player_7:SetZoomPercent(200)
Player_7:SetCtrlMapView(1)
Player_7:SetArmor(196365, 0, 1)
Player_7:SetHair(119, 1)
CppScriptMgr:WaitMilSec(880)
CppScriptMgr:NpcCallOut("Let me see. Who is best at shapeshifting?", 1000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_Summer202305", 150, 430, "Theuses", 250, 655, false)
CppScriptMgr:WaitMilSec(620)
Player_2:Say("Me! My shapeshifting is flawless!", 1000)
Player_3:Say("It`s me! It`s me", 1000)
Player_4:Say("I did the best!", 1000)
Player_5:Say("It`s me! ", 1000)
Player_6:Say("Me! Me! Me!", 1000)
CppScriptMgr:WaitMilSec(1000)
CppScriptMgr:NpcCallOut("Shh... Quiet.", 1000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_Summer202305", 150, 430, "Theuses", 250, 655, false)
CppScriptMgr:WaitMilSec(1000)
Player_7:SetAction(190)
CppScriptMgr:NpcCallOut("Let me appreciate your works carefully.", 1000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_Summer202305", 150, 430, "Theuses", 250, 655, false)
CppScriptMgr:WaitMilSec(1000)
Player_2:SetHide(1)
Player_3:SetHide(1)
Player_4:SetHide(1)
Player_5:SetHide(1)
Player_6:SetHide(1)
local Effect_1 = CppScriptMgr:AddEffect("Mf_castB", 162, 122, 33, 1, 1, 1)
local Effect_2 = CppScriptMgr:AddEffect("Mf_castB", 168, 126, 33, 1, 1, 1)
local Effect_3 = CppScriptMgr:AddEffect("Mf_castB", 162, 130, 33, 1, 1, 1)
local Effect_4 = CppScriptMgr:AddEffect("Mf_castB", 158, 126, 33, 1, 1, 1)
local Effect_5 = CppScriptMgr:AddEffect("Mf_castB", 168, 130, 33, 1, 1, 1)
local effect_3 = CppScriptMgr:AddEffect("CartoonDisplay", 156, 124, 33, 1, 1, 1)
effect_3:Scale(1.5, 1.5, 1.5)
CppScriptMgr:WaitMilSec(70)
CppScriptMgr:ShakeScrEffect(1)
CppScriptMgr:WaitMilSec(920)
local Player_8 = CppScriptMgr:AddSimplePlayer(41240, 162, 122, "", 0, 0)
Player_8:SetZoomPercent(50)
local Player_9 = CppScriptMgr:AddSimplePlayer(44970, 168, 126, "", 0, 0)
Player_9:SetZoomPercent(50)
local Player_10 = CppScriptMgr:AddSimplePlayer(45200, 162, 130, "", 0, 0)
Player_10:SetZoomPercent(50)
local Player_11 = CppScriptMgr:AddSimplePlayer(45210, 158, 126, "", 0, 0)
Player_11:SetZoomPercent(20)
local Player_12 = CppScriptMgr:AddSimplePlayer(49230, 168, 130, "", 0, 0)
Player_12:SetZoomPercent(50)
local Effect_7 = CppScriptMgr:AddEffect("KillerPattern", 168, 126, 33, 1, 1, 1)
local Effect_8 = CppScriptMgr:AddEffect("KillerPattern", 162, 130, 33, 1, 1, 1)
local Effect_9 = CppScriptMgr:AddEffect("KillerPattern", 158, 126, 33, 1, 1, 1)
local Effect_10 = CppScriptMgr:AddEffect("KillerPattern", 168, 130, 33, 1, 1, 1)
local Effect_6 = CppScriptMgr:AddEffect("KillerPattern", 162, 122, 33, 1, 1, 1)
Effect_6:Scale(0.5, 0.5, 0.5)
Effect_7:Scale(0.5, 0.5, 0.5)
Effect_8:Scale(0.5, 0.5, 0.5)
Effect_9:Scale(0.5, 0.5, 0.5)
Effect_10:Scale(0.5, 0.5, 0.5)
CppScriptMgr:WaitMilSec(1970)
CppScriptMgr:NpcCallOut("So funny!", 1000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_Summer202305", 150, 430, "CrankyClown", 250, 655, false)
Player_7:SetAction(150)
CppScriptMgr:WaitMilSec(2490)